# Uses of Class
org.springframework.beans.AbstractNestablePropertyAccessor

Packages that use AbstractNestablePropertyAccessor
Package
Description
org.springframework.beans
This package contains interfaces and classes for manipulating Java beans.

## Uses of AbstractNestablePropertyAccessor in org.springframework.beans

Subclasses of AbstractNestablePropertyAccessor in org.springframework.beans
Modifier and Type
Class
Description
`class`
`BeanWrapperImpl`
Default `BeanWrapper` implementation that should be sufficient for all typical use cases.
`class`
`DirectFieldAccessor`
`ConfigurablePropertyAccessor` implementation that directly accesses instance fields.
Methods in org.springframework.beans that return AbstractNestablePropertyAccessor
Modifier and Type
Method
Description
`protected AbstractNestablePropertyAccessor`
AbstractNestablePropertyAccessor.`getPropertyAccessorForPropertyPath(String propertyPath)`
Recursively navigate to return a property accessor for the nested property path.
`protected abstract AbstractNestablePropertyAccessor`
AbstractNestablePropertyAccessor.`newNestedPropertyAccessor(Object object, String nestedPath)`
Create a new nested property accessor instance.
Methods in org.springframework.beans with parameters of type AbstractNestablePropertyAccessor
Modifier and Type
Method
Description
`protected String`
AbstractNestablePropertyAccessor.`getFinalPath(AbstractNestablePropertyAccessor pa, String nestedPath)`
Get the last component of the path.
Constructors in org.springframework.beans with parameters of type AbstractNestablePropertyAccessor
Modifier
Constructor
Description
`protected`
`AbstractNestablePropertyAccessor(Object object, String nestedPath, AbstractNestablePropertyAccessor parent)`
Create a new accessor for the given object, registering a nested path that the object is in.